<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>S3 Activity</title>
  </head>
  <body>
    <em>Science and Engineering Ethics (2001) 7, 231-238</em>
    <hr />
    <h1>Sofware Engineering Code of Ethics and Professional Practice</h1>

    <h3>
      IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and
      Professional Practices
    </h3>
    <hr />
    <span
      ><strong>Keywords:</strong>code of ethics, professional responsibility,
      software engineering</span
    >

    <h4>PREAMBLE</h4>

    <p>
      The short version of the code summarizes aspirations at a high level of
      abstraction. The clauses that are included in the full version give
      examples and details of how these aspirations change the way we act as
      software engineering professionals. Without the aspirations, the details
      can become legalistic and tedious; without the details, the aspirations
      can become high-sounding but empty; together, the aspirations nd the
      details form a cohesive code.
    </p>
  </body>
</html>
